<?php
require '../conexao/conexao.php';
require '../configuacoes.php';

// Obter os dados do formulário
$id_funcionario = $_POST['id_funcionario'] ?? null;
$nome = $_POST['name'] ?? null;
$id_departamento = $_POST['departamento'] ?? null;
$id_setor = $_POST['setor'] ?? null;
$id_pessoa = $_POST['nome_pessoa'] ?? null;
$cod_fcerta = $_POST['cod_fcerta'] ?? null;
$situacao = $_POST['situacao'] ?? 'A';

$nomef = $_POST['nomef'] ?? null;
$codigo_fcertaf = $_POST['codigo_fcertaf'] ?? null;
$departamentof = $_POST['departamentof'] ?? null;
$setorf = $_POST['setorf'] ?? null;
$situacaof = $_POST['situacaof'] ?? null;


$query_string = http_build_query([
    'nome' => $nomef,
    'codigo_fcerta' => $codigo_fcertaf,
    'departamento' => $departamentof,
    'setor' => $setorf,
    'situacao' => $situacaof,
    'form_submitted' => 1 
]);




if (is_null($id_funcionario) || $id_funcionario == 0) {
    // Código de inserção

    // Insere os dados na tabela funcionarios
    $stmt_insercao = $connectionmysql->prepare("INSERT INTO funcionarios (nome, id_departamento, id_setor, id_pessoa, cod_fcerta, situacao) VALUES (?, ?, ?, ?, ?, ?)");

    // Bind dos parâmetros
    $stmt_insercao->bind_param("siiiis", $nome, $id_departamento, $id_setor, $id_pessoa, $cod_fcerta, $situacao);

    // Executa a inserção
    $stmt_insercao->execute();

    // Verifica se a inserção foi bem-sucedida
    if ($stmt_insercao->affected_rows > 0) {
        header("Location: index.php?status=sucesso&$query_string");
        exit;
    } else {
        header("Location: index.php?status=erro&message=Verifique se já existe Colaborador");
        exit;
    }

    // Fecha a instrução de inserção
    $stmt_insercao->close();
} else {
    // Código de update

    // Atualiza os dados na tabela funcionarios
    $stmt_update = $connectionmysql->prepare("UPDATE funcionarios SET nome=?, id_departamento=?, id_setor=?, id_pessoa=?, cod_fcerta=?, situacao=? WHERE id_funcionario=?");

    // Bind dos parâmetros
    $stmt_update->bind_param("siiiisi", $nome, $id_departamento, $id_setor, $id_pessoa, $cod_fcerta, $situacao, $id_funcionario);

    // Executa a atualização
    $stmt_update->execute();

    // Verifica se a atualização foi bem-sucedida
    if ($stmt_update->affected_rows > 0) {
        header("Location: index.php?status=sucesso&$query_string");
        exit;
    } else {
        header("Location: index.php?status=erro&message=Colaborador já atualizado anteriormente");
        exit;
    }

    // Fecha a instrução de update
    $stmt_update->close();
}

// Fecha a conexão com o banco de dados
$connectionmysql->close();
